package com.test.mydemo3.activity

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel

class BaseActivityViewModel : ViewModel() {


//    private var mSelectNumber = MutableLiveData<SelectNumber>()

    private val _myInt = MutableLiveData<Int>()

    val myInt: LiveData<Int> get() = _myInt

    fun setNumber(number: Int){
        _myInt.value = number
    }

//    fun getNumber() : LiveData<SelectNumber>{
//        return mSelectNumber
//    }
//
//    fun setNumber(number: Int){
//        mSelectNumber.value = SelectNumber(number)
//    }
}